### Function

# Gimp context_set_transform_resize

#### Declaration [src]

    gboolean
    gimp_context_set_transform_resize (
      GimpTransformResize transform_resize
    )

#### Description [src]

Set the transform resize type.

This procedure modifies the transform resize setting. When transforming pixels, if the result of a transform operation has a different size than the original area, this setting determines how the resulting area is sized.

This setting affects affects the following procedures: gimp_item_transform_flip(), gimp_item_transform_flip_simple(), gimp_item_transform_perspective(), gimp_item_transform_rotate(), gimp_item_transform_rotate_simple(), gimp_item_transform_scale(), gimp_item_transform_shear(), gimp_item_transform_2d(), gimp_item_transform_matrix().

Available since: | 2.8

#### Parameters

`transform_resize` | `GimpTransformResize`
| The transform resize type.

#### Return value

Returns: | `gboolean`
| TRUE on success.